Package org.optaplanner.core.impl.domain.common.accessor.gizmo

## Class GizmoMemberAccessorFactory

- java.lang.Object
- - org.optaplanner.core.impl.domain.common.accessor.gizmo.GizmoMemberAccessorFactory

-     public class GizmoMemberAccessorFactory
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MemberAccessor` | `buildGizmoMemberAccessor​(Member member, Class<? extends Annotation> annotationClass)` |
    `static AnnotatedElement` | `getAnnotatedElementFor​(String gizmoMemberAccessorName)` | Returns the AnnotatedElement that a particular MemberAccessor should return.
    `static String` | `getGeneratedClassName​(Member member)` | Returns the generated class name for a given member.
    `static Type` | `getGenericTypeFor​(String gizmoMemberAccessorName)` | Returns the Generic Type that a particular MemberAccessor should return.
    `static void` | `usePregeneratedMaps​(Map<String,​MemberAccessor> memberAccessorMap, Map<String,​Type> gizmoMemberAccessorNameToGenericType, Map<String,​AnnotatedElement> gizmoMemberAccessorNameToAnnotatedElement)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getGeneratedClassName

          public static String getGeneratedClassName​(Member member)

      Returns the generated class name for a given member. (Here as accessing any method of GizmoMemberAccessorImplementor will try to load Gizmo code)
      Parameters:
        `member` - The member to get the generated class name for
      Returns:
        The generated class name for member

    - #### getGenericTypeFor

          public static Type getGenericTypeFor​(String gizmoMemberAccessorName)

      Returns the Generic Type that a particular MemberAccessor should return. Used in generated Gizmo code.
      Parameters:
        `gizmoMemberAccessorName` - The MemberAccessor that is being queried
      Returns:
        The generic type gizmoMemberAccessorName should return in MemberAccessor.getGenericType

    - #### getAnnotatedElementFor

          public static AnnotatedElement getAnnotatedElementFor​(String gizmoMemberAccessorName)

      Returns the AnnotatedElement that a particular MemberAccessor should return. Used in generated Gizmo code.
      Parameters:
        `gizmoMemberAccessorName` - The MemberAccessor that is being queried
      Returns:
        The AnnotatedElement gizmoMemberAccessorName should return in MemberAccessor.getAnnotatedElement

    - #### usePregeneratedMaps

          public static void usePregeneratedMaps​(Map<String,​MemberAccessor> memberAccessorMap,
                                                 Map<String,​Type> gizmoMemberAccessorNameToGenericType,
                                                 Map<String,​AnnotatedElement> gizmoMemberAccessorNameToAnnotatedElement)

    - #### buildGizmoMemberAccessor

          public static MemberAccessor buildGizmoMemberAccessor​(Member member,
                                                                Class<? extends Annotation> annotationClass)